# Contributing to Sigit

Welcome to Sigit! We are thrilled that you are interested in contributing to this project. Before you get started, please take a moment to review the following guidelines.

## How to Contribute

### Reporting Bugs

If you encounter a bug while using Sigit, please [open an issue](https://git.nostrdev.com/sigit/sigit.io/issues/new) on this repository. Provide as much detail as possible, including steps to reproduce the bug.

### Suggesting Enhancements

If you have an idea for how to improve Sigit, we would love to hear from you! [Open an issue](https://git.nostrdev.com/sigit/sigit.io/issues/new) to suggest an enhancement.

### Pull Requests

We welcome pull requests from contributors! To contribute code changes:

1. Fork the repository and create your branch from `staging`.
2. Make your changes and ensure they pass any existing tests.
3. Write meaningful commit messages (conventional commit standard)
4. Submit a pull request, describing your changes in detail and referencing any related issues.

## Development Setup

To set up the project for development:

1. Clone the repository.
2. Install dependencies with `npm install`.
3. Start dev server with `npm run dev`.

## Code Review

All contributions, including pull requests, undergo code review. Code review ensures that changes meet project standards and maintainability.

## Contact

If you have questions or need further assistance, you can reach out to `npub1d0csynrrxcynkcedktdzrdj6gnras2psg48mf46kxjazs8skrjgq9uzhlq`

## Testing

The following items should be tested with each release:

- Create a SIGit with at least 3 signers
- Create a SIGit where the creator is not the first signer
- Create a SIGit where one co-signer has no marks
- Create a SIGit using a file other than a PDF
- Use several login mechanisms, browsers, operating systems whilst testing
