import { MarkType } from './drawing'

export interface CurrentUserMark {
  id: number
  mark: Mark
  isLast: boolean
  isCompleted: boolean
  currentValue?: string
}

// Both PdfFileHash and FileHash currently exist.
// It enables backward compatibility for Sigits created before January 2025
export interface Mark {
  id: number
  npub: string
  type: MarkType
  location: MarkLocation
  fileName: string
  pdfFileHash?: string
  fileHash?: string
  value?: string
}

export interface MarkLocation extends MarkRect {
  page: number
}

export interface MarkRect {
  left: number
  top: number
  width: number
  height: number
}
